LDWS Info Endpoints
8 min
GET /v1/info/
Returns basic player information
Request Example
GET /api/v1/info/ HTTP/1.1
Host: {{playerIP}
Authorization: {{DigestAuth}}Response Body
- serial string: The serial number of the player
- model string: The model number of the device (e.g. "XD234")
- connectionType string: The currently active network interface, which can be either "Ethernet" or "WiFi"
- ethernet object: An object containing information about the ethernet connection. This property will only be available if there's a valid ethernet connection on the player. The object can contain the following properties:
- IPv4 object: An object containing information about the IPv4 configuration. The object can contain the following properties:
- address string: The assigned IPv4 address
- netmask string: The IPv4 network mask
- family string: IPv4
- mac string: The MAC address of the network interface
- internal bool: true if the network interface is a loopback or similar interface that is not remotely accessible; otherwise false
- cidr string: The assigned IPv4 address with the routing prefix in CIDR notation. If the netmask is invalid, this property is set to null.
- IPv6 object: An object containing information about the IPv6 configuration:
- address string: The assigned IPv6 address
- netmask string: The IPv6 network mask
- family string: IPv6
- mac string: The MAC address of the network interface
- internal bool: true if the network interface is a loopback or similar interface that is not remotely accessible; otherwise false
- cidr string: The assigned IPv6 address with the routing prefix in CIDR notation. If the netmask is invalid, this property is set to null.
- bootVersion string: The current version of the boot loader
- fwVersion string: The current version of firmware installed on the player
- upTime string: The amount of time (as a human-readable string) that the player has been powered on and working correctly
- upTimeSeconds int: The amount of time (in seconds) that the player has been powered on and working correctly
- extensions extension[ ]: An array of Extension objects describing Firmware Extensions currently installed on the player
- blessings blessing[ ]: An array of Blessing objects describing proprietary codecs that are currently authorized on the player
Response Example
GET /v1/time/
Retrieves the date and time as configured on the player. The date/time value is formatted as "yyyy-mm-dd hh:mm:ss <timezone>".
Request Example
GET /api/v1/time/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}Response Example
{
"route": "/v1/time",
"method": "GET",
"data": {
"result": {
"time": "2018-10-18 14:34:34 PDT",
"timezone_mins": null,
"timezone_name": "America/Los_Angeles",
"timezone_abbr": "PDT",
"year": 2018,
"month": 10,
"date": 18,
"hour": 14,
"minute": 34,
"second": 34,
"millisecond": 569
}
}
}
PUT /v1/time/
Sets the time on the player.
Request Body
- date string: The recommended format is: "YYYY-MM-DD"
- time string: The recommended format is: "HH:mm"
- applyTimezone bool: This value decides if the date and time passed is in UTC or not (the default is false).
Request Example
PUT /api/v1/time/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
Content-Type: application/json
Content-Length: 117This is the example request body:
{
"data": {
"time": "22:00:00",
"date": "2023-11-07",
"applyTimezone": true
}
}Response Example
{
"data": {
"result": true
}
}GET /v1/video-mode/
Returns the current video mode of the player
Request Example
GET /api/v1/video-mode/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}Response Body
- width int: The screen width
- height int: The screen height
- frames int: The frame rate
- scan string: The scan method of the video signal, which can be either progressive ("p") or interlaced ("i")
- mode mode{ }: A Mode object that gives additional information about the video output. This object can contain the following properties:
- preferred bool: A flag indicating whether the video mode is the preferred mode
- overscan bool: A flag indicating whether the video output is using an overscan setting or not
- interlaced bool: A flag indicating whether the video output is interlaced (true) or progressive (false)
- width int: The width of the video output
- height int: The height of the video output
- graphicsPlaneWidth int: The width of the graphics plane
- graphicsPlaneHeight int: The height of the graphics plane
- frequency int: The frame rate of the video output
- dropFrame bool: A flag indicating whether the video timecode utilizes drop frames
- colorSpace string: The color space of the video signal ("rgb", "yuv420", or "yuv422")
- colorDepth string: The color depth of the video signal ("8bit", "10bit", or "12bit")
Response Example
{
"route": "/v1/video-mode",
"method": "GET",
"data": {
"result": {
"isAutoMode": false,
"name": "640x480x60p",
"width": "640",
"height": "480",
"frames": "60",
"scan": "p",
"mode": {
"colorDepth": "8bit",
"colorSpace": "rgb",
"dropFrame": false,
"frequency": 60,
"graphicsPlaneHeight": 480,
"graphicsPlaneWidth": 640,
"height": 480,
"interlaced": false,
"modeName": "640x480x60p",
"overscan": false,
"preferred": false,
"width": 640
}
}
}
}